# List all entities

**GET** `/entities`

Retrieve all entities on your platform. Filtered results can be retrieved with extra parameters in the query (`type`, `name`, etc.).

### Query Parameters

- `created.gt` `date-time` — Return results where the created time is greater than this value.
- `created.gte` `date-time` — Return results where the created time is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the created time is less than this value.
- `created.lte` `date-time` — Return results where the created time is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `is_root` `boolean` — Return results matching the specified root status.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `name` `string` — Return entities with this name.
- `query` `string` — Free-text search query to match against entity fields.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `type` `string` — Return results with this entity type, either `PERSON` or `BUSINESS`.
- `verification_status` `string` — Return results with this verification status.

**Request**

```shell
curl 'https://api.column.com/entities' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "entities": [
    {
      "documents": [],
      "id": "enti_2NkTtT5NI3Lh0LpjpvxO4M2AZHd",
      "is_root": false,
      "name": "Oliver Smith Hockey",
      "review_reasons": [],
      "type": "PERSON",
      "verification_status": "VERIFIED"
    },
    {
      "documents": [],
      "id": "enti_2MCE4Cgh2Sl5ttZfnXYwzmfik0c",
      "is_root": false,
      "name": "Jim's Bakery",
      "review_reasons": [],
      "type": "BUSINESS",
      "verification_status": "VERIFIED"
    },
    {
      "documents": [],
      "id": "enti_25n5phSY8StZxU4C2Y7gAREGUdB",
      "is_root": false,
      "name": "Bruce Smith Hockey",
      "review_reasons": [],
      "type": "PERSON",
      "verification_status": "VERIFIED"
    },
    {
      "documents": [],
      "id": "enti_25FtFWv8n9rHaOoL3ZYttfEAr9k",
      "is_root": false,
      "name": "Yellen Cocktails LLC",
      "review_reasons": [],
      "type": "BUSINESS",
      "verification_status": "VERIFIED"
    },
    {
      "documents": [],
      "id": "enti_23ZaVYnHLsOdd1MIQJ0uQfp9cgO",
      "is_root": true,
      "name": "Sam Smith",
      "review_reasons": [],
      "type": "PERSON",
      "verification_status": "VERIFIED"
    },
    {
      "documents": [],
      "id": "enti_23ZT8vsfjNkjTFEN6c3OBrX9BUt",
      "is_root": false,
      "name": "Andrew Jackson",
      "review_reasons": [],
      "type": "PERSON",
      "verification_status": "VERIFIED"
    }
  ],
  "has_more": false
}
```
